local oldHideGameUI = HideGameUI
function HideGameUI(state)
	oldHideGameUI(state)
    if gameParent then
        if gameUIHidden or state == 'off' then
            import('/mods/5iver Survival Brainsucka/lua/ui/game/brainsucka.luac').Expand()
        else
            import('/mods/5iver Survival Brainsucka/lua/ui/game/brainsucka.luac').Contract()
        end
    end
end

local oldSetLayout = SetLayout
function SetLayout(layout)
	oldSetLayout(layout)
	import('/mods/5iver Survival Brainsucka/lua/ui/game/brainsucka.luac').SetLayout(layout)
	import('/mods/5iver Survival Brainsucka/lua/ui/game/brainsucka.luac').SetLayout()
end

local oldCreateUI = CreateUI
function CreateUI(isReplay)
	oldCreateUI(isReplay)
	local massGroup, energyGroup = import('/mods/5iver Survival Brainsucka/lua/ui/game/brainsucka.luac').CreateBrainsuckaBar(statusClusterGroup)
end